using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CreateExcelEpplus
{
    public class CodigosPostales
    {
        private int nDCodigo;

        public int DCodigo
        {
            get { return nDCodigo; }
            set { nDCodigo = value; }
        }

        private string strDAsenta;

        public string DAsenta
        {
            get { return strDAsenta; }
            set { strDAsenta = value; }
        }

        private string strDTipoAsenta;

        public string DTipoAsenta
        {
            get { return strDTipoAsenta; }
            set { strDTipoAsenta = value; }
        }

        private string strDMnpio;

        public string DMnpio
        {
            get { return strDMnpio; }
            set { strDMnpio = value; }
        }

        private string strDEstado;

        public string DEstado
        {
            get { return strDEstado; }
            set { strDEstado = value; }
        }

        private string strDCiudad;

        public string DCiudad
        {
            get { return strDCiudad; }
            set { strDCiudad = value; }
        }

        private int nDCP;

        public int DCP
        {
            get { return nDCP; }
            set { nDCP = value; }
        }

        private string strCEstado;

        public string CEstado
        {
            get { return strCEstado; }
            set { strCEstado = value; }
        }

        private string strCOficina;

        public string COficina
        {
            get { return strCOficina; }
            set { strCOficina = value; }
        }

        private int nCCP;

        public int CCP
        {
            get { return nCCP; }
            set { nCCP = value; }
        }

        private int nCTipoAsenta;

        public int CTipoAsenta
        {
            get { return nCTipoAsenta; }
            set { nCTipoAsenta = value; }
        }

        private int nCMnpio;

        public int CMnpio
        {
            get { return nCMnpio; }
            set { nCMnpio = value; }
        }

        private int nIdAsentaCPCons;

        public int IdAsentaCPCons
        {
            get { return nIdAsentaCPCons; }
            set { nIdAsentaCPCons = value; }
        }

        private string strDZona;

        public string DZona
        {
            get { return strDZona; }
            set { strDZona = value; }
        }

        private int nCCveCiudad;

        public int CCveCiudad
        {
            get { return nCCveCiudad; }
            set { nCCveCiudad = value; }
        }



        public CodigosPostales()
        {
            //Int
            int DCodigo = DCP = CTipoAsenta = CCP = CMnpio = IdAsentaCPCons = CCveCiudad = 0;

            //String
            DAsenta = DTipoAsenta = DMnpio = DEstado = DCiudad
            = CEstado = COficina = DZona = string.Empty;


        }
    }

}
